<?php

/**
 * @file
 * Hooks provided by the Sassy module.
 */

/**
 * Allows you to alter a string of SASS or SCSS before it is processed by the
 * PhamlP parser.
 *
 * @param &$data
 *   The SASS or SCSS string (file content of $file) that is going to be processed
 *   by the PhamlP parser.
 * @param $file
 *   The SASS or SCSS file that $data belongs to described by an array.
 * @param $syntax
 *   The syntax (SASS or SCSS) of the file contents. This information is needed
 *   by the parser.
 */
function hook_sassy_pre_alter(&$data, $file, $syntax) {
  // Replaces all black colors defined by '#000' in the output CSS file with '#FFF'.
  $data = str_replace('#000', '#FFF', $data);
}

/**
 * Allows you to alter a string of SASS or SCSS after it was processed by the
 * PhamlP parser.
 *
 * @param &$data
 *   The SASS or SCSS string (file content of $file) after it has been processed
 *   by the PhamlP parser.
 * @param $file
 *   The SASS or SCSS file that $data belongs to described by an array.
 * @param $syntax
 *   The syntax (SASS or SCSS) of the file contents. This information is needed
 *   by the parser.
 */
function hook_sassy_post_alter(&$data, $file, $syntax) {
  // Replaces all black colors defined by '#000' in the output CSS file with '#FFF'.
  $data = str_replace('#000', '#FFF', $data);
}